// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_dtctribute/dt1_sky1
{
	qer_editorimage env/ut4_dtctribute/aft_ft.jpg
	
	skyparms env/ut4_dtctribute/aft 128 -
	
	q3map_sunEXT 1 1 1 300 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
}

// ---=== fog/clouds ===---

textures/ut4_dtctribute/dt1_fogcaulk
{
	qer_trans 0.45
	q3map_noclip
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap

   
}

textures/ut4_dtctribute/dt1_fog

{
	qer_editorimage textures/ut4_dtctribute/clouds3.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.5 0.5 0.5 ) 80
}


textures/ut4_dtctribute/dt1_cloud

{
	qer_editorimage textures/ut4_dtctribute/clouds3.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/ut4_dtctribute/clouds3.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll 0.025 -0.0325
	}

}

textures/ut4_dtctribute/dt1_cloud2

{
	qer_editorimage textures/ut4_dtctribute/clouds1.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes bulge 1 1 .5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_dtctribute/clouds1.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 4
		tcMod scroll 0.125 -0.0325
	}

}

textures/ut4_dtctribute/dt1_cloud3

{
	qer_editorimage textures/ut4_dtctribute/clouds2.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes bulge 1 1 .5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_dtctribute/clouds2.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 2
		tcMod scroll 0.025 -0.1325
	}

}

// ---=== No Damage ===---

textures/ut4_dtctribute/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_dtctribute/dt1_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	cull none

	{
		map textures/ut4_dtctribute/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_dtctribute/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_dtctribute/dt1_glass_ns
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none

	{
		map textures/ut4_dtctribute/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_dtctribute/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut4_dtctribute/dt1_glass_slicknd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	cull none

	{
		map textures/ut4_dtctribute/glass3.tga
		blendFunc add
		tcGen environment
	}
	{
		map textures/ut4_dtctribute/cloudref5.jpg
		blendfunc add
		tcMod scale 2 2
		tcGen environment
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ZERO
	}
}

// ---=== Ladderclip ===---

textures/ut4_dtctribute/dt1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---

textures/ut4_dtctribute/dt1_holop1_b
{
	qer_editorimage textures/ut4_dtctribute/holopanel1/holopanel_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_dtctribute/holopanel1/holopanel_b1.jpg textures/ut4_dtctribute/holopanel1/holopanel_b1.jpg textures/ut4_dtctribute/holopanel1/holopanel_b1.jpg textures/ut4_dtctribute/holopanel1/holopanel_b2.jpg textures/ut4_dtctribute/holopanel1/holopanel_b1.jpg textures/ut4_dtctribute/holopanel1/holopanel_b3.jpg textures/ut4_dtctribute/holopanel1/holopanel_b1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_dtctribute/dt1_holop1_r
{
	qer_editorimage textures/ut4_dtctribute/holopanel1/holopanel_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 12 textures/ut4_dtctribute/holopanel1/holopanel_r1.jpg textures/ut4_dtctribute/holopanel1/holopanel_r1.jpg textures/ut4_dtctribute/holopanel1/holopanel_r1.jpg textures/ut4_dtctribute/holopanel1/holopanel_r2.jpg textures/ut4_dtctribute/holopanel1/holopanel_r1.jpg textures/ut4_dtctribute/holopanel1/holopanel_r3.jpg textures/ut4_dtctribute/holopanel1/holopanel_r1.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_dtctribute/dt1_hologo_b
{
	qer_editorimage textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_dtctribute/dt1_hologo_r
{
	qer_editorimage textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		animMap 1.25 textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_dtctribute/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_dtctribute/dt1_star2
{
	qer_editorimage textures/ut4_dtctribute/kw_star2.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 100
	{
		map textures/ut4_dtctribute/kw_star2.tga
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_dtctribute/e6tinylight
{
	qer_editorimage textures/ut4_dtctribute/e6tinylight.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nonsolid
		
	{
		map textures/ut4_dtctribute/e6tinylight.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_dtctribute/e6tinylight_blend.tga
		blendfunc add
	}
}

textures/ut4_dtctribute/e6basicstrip_blue
{
	qer_editorimage textures/ut4_dtctribute/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_dtctribute/e6basicstrip_blue.tga
	}
}

textures/ut4_dtctribute/e6basicstrip_red
{
	qer_editorimage textures/ut4_dtctribute/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodamage
	surfaceparm nonsolid
		
	{
		map textures/ut4_dtctribute/e6basicstrip_red.tga
	}
}

textures/ut4_dtctribute/e8warn2steplight
{
	qer_editorimage textures/ut4_dtctribute/e8warn2steplight.tga
	q3map_lightimage textures/ut4_dtctribute/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/ut4_dtctribute/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_dtctribute/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_dtctribute/e8minitrimlight
{
	qer_editorimage textures/ut4_dtctribute/e8minitrimlight.tga
	q3map_lightimage textures/ut4_dtctribute/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ut4_dtctribute/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_dtctribute/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/ut4_dtctribute/e8trimlight2_blue
{
	qer_editorimage textures/ut4_dtctribute/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_dtctribute/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_dtctribute/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_dtctribute/e8trimlight2ns_blue
{
	qer_editorimage textures/ut4_dtctribute/e8trimlight2_blue.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 400
	{
		map textures/ut4_dtctribute/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_dtctribute/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_dtctribute/e8trimlight2_red
{
	qer_editorimage textures/ut4_dtctribute/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_dtctribute/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_dtctribute/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_dtctribute/e8trimlight2ns_red
{
	qer_editorimage textures/ut4_dtctribute/e8trimlight2_red.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 400
	{
		map textures/ut4_dtctribute/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_dtctribute/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}


textures/ut4_dtctribute/evil8_rlight
{
	qer_editorimage textures/ut4_dtctribute/e8_rlight.tga
	q3map_lightimage textures/ut4_dtctribute/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_dtctribute/e8_rlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_dtctribute/e8_rlight.blend.tga
		blendfunc add
	}
}

// ---=== oozes ===---

textures/ut4_dtctribute/dt1_oozecaulk
{
qer_editorimage textures/ut4_dtctribute/ooze_prpl.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}


textures/ut4_dtctribute/dt1_oozprpl_drk
{
	qer_editorimage textures/ut4_dtctribute/ooze_prpl_drk.tga
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	q3map_surfacelight 200

	{
		map textures/ut4_dtctribute/ooze_prpl_drk.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_prpl_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_prpl_drk.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_prpl_drk.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_dtctribute/dt1_oozprpl
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_dtctribute/ooze_prpl.tga
	q3map_surfacelight 300

	{
		map textures/ut4_dtctribute/ooze_prpl.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_prpl_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_prpl.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_prpl.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_dtctribute/dt1_oozgreen
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_dtctribute/ooze_green.tga
	q3map_surfacelight 300

	{
		map textures/ut4_dtctribute/ooze_green.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_green_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_green.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_green.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_dtctribute/dt1_oozred
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_dtctribute/ooze_red.tga
	q3map_surfacelight 300

	{
		map textures/ut4_dtctribute/ooze_red.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_red_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_red.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_red.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_dtctribute/dt1_oozblue
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_dtctribute/ooze_blue.tga
	q3map_surfacelight 300

	{
		map textures/ut4_dtctribute/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_blue.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_dtctribute/ooze_blue.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== wave-noflow ooze ===---

textures/ut4_dtctribute/dt1_wav_oozblue
{
	qer_editorimage textures/ut4_dtctribute/ooze_blue.tga
	q3map_lightimage textures/ut4_dtctribute/ooze_blue.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 50
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_dtctribute/ooze_blue.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_dtctribute/ooze_blue_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_dtctribute/ooze_blue.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_dtctribute/dt1_wav_oozgreen
{
	qer_editorimage textures/ut4_dtctribute/ooze_green.tga
	q3map_lightimage textures/ut4_dtctribute/ooze_green.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 200
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_dtctribute/ooze_green.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_dtctribute/ooze_prpl_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_dtctribute/ooze_green.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_dtctribute/dt1_wav_oozprpl
{
	qer_editorimage textures/ut4_dtctribute/ooze_prpl.tga
	q3map_lightimage textures/ut4_dtctribute/ooze_prpl.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 500
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_dtctribute/ooze_prpl.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_dtctribute/ooze_prpl_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_dtctribute/ooze_prpl.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_dtctribute/dt1_wav_oozred
{
	qer_editorimage textures/ut4_dtctribute/ooze_red.tga
	q3map_lightimage textures/ut4_dtctribute/ooze_red.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 50
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_dtctribute/ooze_red.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_dtctribute/ooze_red_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_dtctribute/ooze_red.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

// ---=== Evil Shaders ===---

textures/ut4_dtctribute/e8bgrate02
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/ut4_dtctribute/e8bgrate02.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// ---=== mrcleantex shaders ===---

textures/ut4_dtctribute/dt1_stainls_pnl_shiny
{
	qer_editorimage textures/ut4_dtctribute/mrtx_stainls_pnl.tga

	{
		map textures/ut4_dtctribute/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_dtctribute/mrtx_stainls_pnl.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}


textures/ut4_dtctribute/dt1_stainls_trim_01_shiny
{
	qer_editorimage textures/ut4_dtctribute/mrtx_stainls_trim_01.tga

	{
		map textures/ut4_dtctribute/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_dtctribute/mrtx_stainls_trim_01.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_dtctribute/dt1_stainls_rib_shiny
{
	qer_editorimage textures/ut4_dtctribute/mrtx_stainls_rib.tga

	{
		map textures/ut4_dtctribute/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_dtctribute/mrtx_stainls_rib.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_dtctribute/dt1_stainls_rib2_red_shiny
{
	qer_editorimage textures/ut4_dtctribute/mrtx_stainls_rib2_red.tga
	q3map_lightimage textures/ut4_dtctribute/mrtx_stainls_rib2_red.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32

	{
		map textures/ut4_dtctribute/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_dtctribute/mrtx_stainls_rib2_red.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_dtctribute/mrtx_stainls_rib2_red.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_dtctribute/dt1_stainls_rib2_blu_shiny
{
	qer_editorimage textures/ut4_dtctribute/mrtx_stainls_rib2_blu.tga
	q3map_lightimage textures/ut4_dtctribute/mrtx_stainls_rib2_blu.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32

	{
		map textures/ut4_dtctribute/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_dtctribute/mrtx_stainls_rib2_blu.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_dtctribute/mrtx_stainls_rib2_blu.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}